
#include <stdio.h>

#include "py/obj.h"
#include "py/gc.h"
#include "py/mphal.h"

//#include "board.h"
#include "p2.h"
//#include "sdcard.h"


/// RJA Testing
STATIC mp_obj_t p2_pinl(mp_obj_t pin_in) {
   // _pinl(pin_in);
   int n=mp_obj_get_int(pin_in);
   _pinl(n);
    //printf("pin #%d driven low\r\n",n);
    return mp_const_none;
}
STATIC MP_DEFINE_CONST_FUN_OBJ_1(p2_pinl_obj, p2_pinl);

STATIC mp_obj_t p2_pinh(mp_obj_t pin_in) {
   // _pinl(pin_in);
   int n=mp_obj_get_int(pin_in);
   _pinh(n);
    //printf("pin #%d driven low\r\n",n);
    return mp_const_none;
}
STATIC MP_DEFINE_CONST_FUN_OBJ_1(p2_pinh_obj, p2_pinh);


STATIC const mp_rom_map_elem_t p2_module_globals_table[] = {
    { MP_ROM_QSTR(MP_QSTR___name__), MP_ROM_QSTR(MP_QSTR_p2) },

    
    { MP_ROM_QSTR(MP_QSTR_pinl), MP_ROM_PTR(&p2_pinl_obj) },
    { MP_ROM_QSTR(MP_QSTR_pinh), MP_ROM_PTR(&p2_pinh_obj) },    



//#if MICROPY_HW_ENABLE_SDCARD
//    { MP_ROM_QSTR(MP_QSTR_SDCard), MP_ROM_PTR(&pyc_sdcard_type) },
//#endif
    
};

STATIC MP_DEFINE_CONST_DICT(p2_module_globals, p2_module_globals_table);

const mp_obj_module_t p2_module = {
    .base = { &mp_type_module },
    .globals = (mp_obj_dict_t*)&p2_module_globals,
};

